Zonemaster::LDNS::RR::NSEC(3pm)

NAME
Zonemaster::LDNS::RR::NSEC - Type NSEC record

DESCRIPTION
A subclass of Zonemaster::LDNS::RR, so it has all the methods of that class available in addition to the ones documented here.

METHODS

next()
    Returns the next name.

nxtdname()
    Alias for next().

typelist()
    Returns a string with the typelist. The string has the type names separated by spaces.

typehref()
    Returns a reference to a hash, where the keys are the type names and the corresponding values are true. That is, if you look for a type in this hash you get a true value back if the record covers it and false if not.

covers($name)
    Returns true or false depending on if the record covers the given name or not.